Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.PayLoadData Class Reference

## Public Member Functions
| PayLoadData ()
| Constructor.
| PayLoadData (float version, String crypto_filter, String file_name, int file_size, String description)
| Constructor, with parameters. More...
| PayLoadData (PayLoadData payload_data)
| Constructor, with another payload data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getCrypto_filter ()
| Get the name of the cryptographic filter used to encrypt the encrypted payload document. More...
String | getDescription ()
| Get description for payload file to show applications or confront users prompt information. More...
String | getFile_name ()
| Get the payload file name. More...
int | getFile_size ()
| Get the payload file size. More...
float | getVersion ()
| Get the version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary. More...
void | set (float version, String crypto_filter, String file_name, int file_size, String description)
| Set value. More...
void | setCrypto_filter (String value)
| Set the name of the cryptographic filter used to encrypt the encrypted payload document. More...
void | setDescription (String value)
| Set description for payload file to show applications or confront users prompt information. More...
void | setFile_name (String value)
| Set the payload file name. More...
void | setFile_size (int value)
| Set the payload file size. More...
void | setVersion (float value)
| Set the version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary. More...

## Detailed Description

This class represents payload data, which is used for a PDF 2.0 wrapped PDF document.

## Constructor & Destructor Documentation

## ◆ PayLoadData() [1/2]

com.foxit.sdk.pdf.PayLoadData.PayLoadData | ( | float | version,
|  | String | crypto_filter,
|  | String | file_name,
|  | int | file_size,
|  | String | description
| ) |  |

Constructor, with parameters.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.

## ◆ PayLoadData() [2/2]

com.foxit.sdk.pdf.PayLoadData.PayLoadData | ( | PayLoadData | payload_data | ) |

Constructor, with another payload data object.

Parameters

  [in] | payload_data | Another payload data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.PayLoadData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getCrypto_filter()

com.foxit.sdk.pdf.PayLoadData.getCrypto_filter | ( |  | ) |

Get the name of the cryptographic filter used to encrypt the encrypted payload document.

Returns
  The name of the cryptographic filter used to encrypt the encrypted payload document.

## ◆ getDescription()

com.foxit.sdk.pdf.PayLoadData.getDescription | ( |  | ) |

Get description for payload file to show applications or confront users prompt information.

Returns
  Description for payload file to show applications or confront users prompt information.

## ◆ getFile_name()

com.foxit.sdk.pdf.PayLoadData.getFile_name | ( |  | ) |

Get the payload file name.

Returns
  The payload file name.

## ◆ getFile_size()

com.foxit.sdk.pdf.PayLoadData.getFile_size | ( |  | ) |

Get the payload file size.

Returns
  The payload file size.

## ◆ getVersion()

com.foxit.sdk.pdf.PayLoadData.getVersion | ( |  | ) |

Get the version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.

Returns
  The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.

## ◆ set()

void com.foxit.sdk.pdf.PayLoadData.set | ( | float | version,
|  | String | crypto_filter,
|  | String | file_name,
|  | int | file_size,
|  | String | description
| ) |  |

Set value.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.

## ◆ setCrypto_filter()

com.foxit.sdk.pdf.PayLoadData.setCrypto_filter | ( | String | value | ) |

Set the name of the cryptographic filter used to encrypt the encrypted payload document.

Parameters

  [in] | value | The name of the cryptographic filter used to encrypt the encrypted payload document.

Returns
  None.

## ◆ setDescription()

com.foxit.sdk.pdf.PayLoadData.setDescription | ( | String | value | ) |

Set description for payload file to show applications or confront users prompt information.

Parameters

  [in] | value | Description for payload file to show applications or confront users prompt information.

Returns
  None.

## ◆ setFile_name()

com.foxit.sdk.pdf.PayLoadData.setFile_name | ( | String | value | ) |

Set the payload file name.

Parameters

  [in] | value | The payload file name.

Returns
  None.

## ◆ setFile_size()

com.foxit.sdk.pdf.PayLoadData.setFile_size | ( | int | value | ) |

Set the payload file size.

Parameters

  [in] | value | The payload file size.

Returns
  None.

## ◆ setVersion()

com.foxit.sdk.pdf.PayLoadData.setVersion | ( | float | value | ) |

Set the version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.

Parameters

  [in] | value | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.

Returns
  None.